# FNA-VSCode-Template

Template and build tasks for developing a cross-platform multi-target .NET Framework and .NET Core FNA project in VSCode.

## Features

- Includes project boilerplate code
- Build tasks for both .NET Framework and .NET Core side by side
- Press F5 to build and debug in-editor with Core Debugger

## Requirements

- Git
- [Visual Studio Code](https://code.visualstudio.com/)
- [VSCode C# Extension](https://marketplace.visualstudio.com/items?itemName=ms-vscode.csharp)
- [.NET Core SDK](https://dotnet.microsoft.com/download/dotnet-core)
- [.NET Framework SDK](https://dotnet.microsoft.com/download/visual-studio-sdks) or [Mono](https://www.mono-project.com/)


## Installation

- Download this repository
- Run `install.sh` if you are on Linux/OSX or `install.ps1` if you are on Windows and follow the instructions

## Acknowledgments

Thanks to Andrew Russell and Caleb Cornett's FNA templates for a starting point for this template.
